package com.engine.gainway.service.impl;

import com.cloudstore.eccom.pc.table.WeaTable;
import com.cloudstore.eccom.pc.table.WeaTableColumn;
import com.cloudstore.eccom.pc.table.WeaTableType;
import com.cloudstore.eccom.result.WeaResultMsg;
import com.engine.core.impl.Service;
import com.engine.gainway.service.BasicResourceTableService;
import weaver.general.PageIdConst;
import weaver.general.Util;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2024/12/11 2:27 PM
 * @Description: TODO
 * @Version 1.0
 */
public class BasicResourceTableServiceImpl extends Service implements BasicResourceTableService {

    @Override
    public Map<String, Object> linkTable(Map<String, Object> params) {
        Map<String, Object> resultMap = new HashMap<>(4);
        String cmd = Util.null2String(params.get("cmd"));
        WeaTable table = new WeaTable();
        String pageId = "7036b679-029d-411f-b885-8e1720514f83";
        table.setPageID(pageId);
        table.setPageUID(String.format("%s_%s",pageId,user.getUID()));
        String pageSize = PageIdConst.getPageSize(pageId, user.getUID());
        table.setPagesize(pageSize);




        table.getColumns().add(new WeaTableColumn("10%", "分部", "resourceid").setTransmethod("com.engine.kqsolution.util.ResourceSnipUtils.selectResourceName"));
        table.getColumns().add(new WeaTableColumn("10%", "一级部门", "workcode"));
        table.getColumns().add(new WeaTableColumn("10%", "二级部门", "subcompanyid1").setTransmethod("com.engine.kqsolution.util.ResourceSnipUtils.selectSubCompanyName"));
        table.getColumns().add(new WeaTableColumn("10%", "三级部门", "departmentid").setTransmethod("com.engine.kqsolution.util.ResourceSnipUtils.selectDeptName"));
        table.getColumns().add(new WeaTableColumn("10%", "四级部门", "jobtitle").setTransmethod("com.engine.kqsolution.util.ResourceSnipUtils.selectJobName"));
        table.getColumns().add(new WeaTableColumn("10%", "考勤结果", "result").setTransmethod("com.engine.kqsolution.util.ResourceSnipUtils.selectKqResult"));
        table.getColumns().add(new WeaTableColumn("10%", "考勤结果", "result").setTransmethod("com.engine.kqsolution.util.ResourceSnipUtils.selectKqResult"));
        table.getColumns().add(new WeaTableColumn("10%", "考勤结果", "result").setTransmethod("com.engine.kqsolution.util.ResourceSnipUtils.selectKqResult"));
        table.setTableType(WeaTableType.NONE);
        WeaResultMsg result = new WeaResultMsg(false);
        result.putAll(table.makeDataResult());
        result.success();
        resultMap.putAll(result.getResultMap());
        return resultMap;
    }
}
